also add -fwrapv to CFLAGS (addresses #698908)
[alioth/cvs.git] / lib / Makefile.in
1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Makefile for library files used by GNU CVS.
18 #
19 # Copyright (C) 1986-2005 The Free Software Foundation, Inc.
20 #
21 # Portions Copyright (C) 1998-2005 Derek Price, Ximbiot <http://ximbiot.com>,
22 #                                  and others.
23
24 # This program is free software; you can redistribute it and/or modify
25 # it under the terms of the GNU General Public License as published by
26 # the Free Software Foundation; either version 2, or (at your option)
27 # any later version.
28
29 # This program is distributed in the hope that it will be useful,
30 # but WITHOUT ANY WARRANTY; without even the implied warranty of
31 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
32 # GNU General Public License for more details.
33
34 srcdir = @srcdir@
35 top_srcdir = @top_srcdir@
36 VPATH = @srcdir@
37 pkgdatadir = $(datadir)/@PACKAGE@
38 pkglibdir = $(libdir)/@PACKAGE@
39 pkgincludedir = $(includedir)/@PACKAGE@
40 top_builddir = ..
41 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
42 INSTALL = @INSTALL@
43 install_sh_DATA = $(install_sh) -c -m 644
44 install_sh_PROGRAM = $(install_sh) -c
45 install_sh_SCRIPT = $(install_sh) -c
46 INSTALL_HEADER = $(INSTALL_DATA)
47 transform = $(program_transform_name)
48 NORMAL_INSTALL = :
49 PRE_INSTALL = :
50 POST_INSTALL = :
51 NORMAL_UNINSTALL = :
52 PRE_UNINSTALL = :
53 POST_UNINSTALL = :
54 build_triplet = @build@
55 host_triplet = @host@
56 check_PROGRAMS = getdate$(EXEEXT)
57 subdir = lib
58 DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
59         ChangeLog __fpending.c __fpending.h alloca.c asnprintf.c \
60         asprintf.c atexit.c canon-host.c canon-host.h canonicalize.c \
61         canonicalize.h chdir-long.c chdir-long.h closeout.c closeout.h \
62         dirname.c dirname.h dup-safer.c dup2.c exitfail.c exitfail.h \
63         fd-safer.c filenamecat.c filenamecat.h fncase.c fnmatch.c \
64         fseeko.c ftello.c ftruncate.c gai_strerror.c getaddrinfo.c \
65         getcwd.c getcwd.h getdate.c getdate.h getdate.y getdelim.c \
66         getdelim.h gethostname.c getline.c getline.h getlogin_r.c \
67         getlogin_r.h getndelim2.c getopt.c getopt1.c getpagesize.h \
68         getpass.c getpass.h gettime.c gettimeofday.c glob-libc.h \
69         glob.c glob_.h lstat.c lstat.h malloc.c mbchar.c mbchar.h \
70         md5.c md5.h memchr.c memmove.c mempcpy.c mempcpy.h memrchr.c \
71         memrchr.h mkdir.c mkstemp.c mktime.c nanosleep.c openat.c \
72         openat.h pagealign_alloc.c pagealign_alloc.h pathmax.h \
73         pipe-safer.c printf-args.c printf-parse.c quotearg.c \
74         quotearg.h readlink.c realloc.c regcomp.c regex.c regex.h \
75         regex_internal.c regex_internal.h regexec.c rename.c rpmatch.c \
76         save-cwd.c save-cwd.h setenv.c stat-macros.h strcasecmp.c \
77         strdup.c strdup.h strerror.c strftime.c strftime.h \
78         strncasecmp.c strstr.c strtol.c strtoul.c sunos57-select.c \
79         tempname.c time_r.c timespec.h unistd--.h unistd-safer.h \
80         unlocked-io.h unsetenv.c vasnprintf.c vasprintf.c waitpid.c \
81         xalloc.h xgetcwd.c xgetcwd.h xmalloc.c yesno.c yesno.h
82 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
83 am__aclocal_m4_deps = $(top_srcdir)/m4/acx_extract_cpp_defn.m4 \
84         $(top_srcdir)/m4/acx_with_external_zlib.m4 \
85         $(top_srcdir)/m4/acx_with_gssapi.m4 $(top_srcdir)/m4/alloca.m4 \
86         $(top_srcdir)/m4/allocsa.m4 \
87         $(top_srcdir)/m4/asx_version_compare.m4 \
88         $(top_srcdir)/m4/atexit.m4 $(top_srcdir)/m4/bison.m4 \
89         $(top_srcdir)/m4/canon-host.m4 \
90         $(top_srcdir)/m4/canonicalize.m4 \
91         $(top_srcdir)/m4/chdir-long.m4 $(top_srcdir)/m4/clock_time.m4 \
92         $(top_srcdir)/m4/closeout.m4 $(top_srcdir)/m4/codeset.m4 \
93         $(top_srcdir)/m4/cvs_func_printf_ptr.m4 \
94         $(top_srcdir)/m4/d-ino.m4 $(top_srcdir)/m4/d-type.m4 \
95         $(top_srcdir)/m4/dirname.m4 $(top_srcdir)/m4/dos.m4 \
96         $(top_srcdir)/m4/dup2.m4 $(top_srcdir)/m4/eealloc.m4 \
97         $(top_srcdir)/m4/eoverflow.m4 $(top_srcdir)/m4/error.m4 \
98         $(top_srcdir)/m4/exitfail.m4 $(top_srcdir)/m4/extensions.m4 \
99         $(top_srcdir)/m4/filenamecat.m4 $(top_srcdir)/m4/fnmatch.m4 \
100         $(top_srcdir)/m4/fpending.m4 $(top_srcdir)/m4/ftruncate.m4 \
101         $(top_srcdir)/m4/getaddrinfo.m4 \
102         $(top_srcdir)/m4/getcwd-path-max.m4 $(top_srcdir)/m4/getcwd.m4 \
103         $(top_srcdir)/m4/getdate.m4 $(top_srcdir)/m4/getdelim.m4 \
104         $(top_srcdir)/m4/gethostname.m4 $(top_srcdir)/m4/getline.m4 \
105         $(top_srcdir)/m4/getlogin_r.m4 $(top_srcdir)/m4/getndelim2.m4 \
106         $(top_srcdir)/m4/getnline.m4 $(top_srcdir)/m4/getopt.m4 \
107         $(top_srcdir)/m4/getpagesize.m4 $(top_srcdir)/m4/getpass.m4 \
108         $(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/gettime.m4 \
109         $(top_srcdir)/m4/gettimeofday.m4 $(top_srcdir)/m4/glob.m4 \
110         $(top_srcdir)/m4/gnulib-comp.m4 $(top_srcdir)/m4/iconv.m4 \
111         $(top_srcdir)/m4/intmax_t.m4 $(top_srcdir)/m4/inttypes.m4 \
112         $(top_srcdir)/m4/inttypes_h.m4 $(top_srcdir)/m4/lib-ld.m4 \
113         $(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
114         $(top_srcdir)/m4/longdouble.m4 $(top_srcdir)/m4/longlong.m4 \
115         $(top_srcdir)/m4/lstat.m4 $(top_srcdir)/m4/mbchar.m4 \
116         $(top_srcdir)/m4/mbiter.m4 $(top_srcdir)/m4/mbrtowc.m4 \
117         $(top_srcdir)/m4/mbstate_t.m4 $(top_srcdir)/m4/md5.m4 \
118         $(top_srcdir)/m4/memchr.m4 $(top_srcdir)/m4/memmove.m4 \
119         $(top_srcdir)/m4/mempcpy.m4 $(top_srcdir)/m4/memrchr.m4 \
120         $(top_srcdir)/m4/minmax.m4 $(top_srcdir)/m4/mkdir-slash.m4 \
121         $(top_srcdir)/m4/mkstemp.m4 $(top_srcdir)/m4/mktime.m4 \
122         $(top_srcdir)/m4/mmap-anon.m4 $(top_srcdir)/m4/nanosleep.m4 \
123         $(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/onceonly_2_57.m4 \
124         $(top_srcdir)/m4/openat.m4 $(top_srcdir)/m4/pagealign_alloc.m4 \
125         $(top_srcdir)/m4/pathmax.m4 $(top_srcdir)/m4/po.m4 \
126         $(top_srcdir)/m4/progtest.m4 $(top_srcdir)/m4/quotearg.m4 \
127         $(top_srcdir)/m4/readlink.m4 $(top_srcdir)/m4/regex.m4 \
128         $(top_srcdir)/m4/rename.m4 $(top_srcdir)/m4/restrict.m4 \
129         $(top_srcdir)/m4/rpmatch.m4 $(top_srcdir)/m4/save-cwd.m4 \
130         $(top_srcdir)/m4/setenv.m4 $(top_srcdir)/m4/signed.m4 \
131         $(top_srcdir)/m4/size_max.m4 $(top_srcdir)/m4/sockpfaf.m4 \
132         $(top_srcdir)/m4/ssize_t.m4 $(top_srcdir)/m4/stat-macros.m4 \
133         $(top_srcdir)/m4/stdbool.m4 $(top_srcdir)/m4/stdint.m4 \
134         $(top_srcdir)/m4/stdint_h.m4 $(top_srcdir)/m4/strcase.m4 \
135         $(top_srcdir)/m4/strdup.m4 $(top_srcdir)/m4/strerror.m4 \
136         $(top_srcdir)/m4/strftime.m4 $(top_srcdir)/m4/strstr.m4 \
137         $(top_srcdir)/m4/strtol.m4 $(top_srcdir)/m4/strtoul.m4 \
138         $(top_srcdir)/m4/sunos57-select.m4 $(top_srcdir)/m4/time_r.m4 \
139         $(top_srcdir)/m4/timespec.m4 $(top_srcdir)/m4/tm_gmtoff.m4 \
140         $(top_srcdir)/m4/tzset.m4 $(top_srcdir)/m4/uint32_t.m4 \
141         $(top_srcdir)/m4/uintmax_t.m4 $(top_srcdir)/m4/ulonglong.m4 \
142         $(top_srcdir)/m4/unistd-safer.m4 \
143         $(top_srcdir)/m4/unlocked-io.m4 $(top_srcdir)/m4/vasnprintf.m4 \
144         $(top_srcdir)/m4/vasprintf.m4 $(top_srcdir)/m4/wchar_t.m4 \
145         $(top_srcdir)/m4/wint_t.m4 $(top_srcdir)/m4/xalloc.m4 \
146         $(top_srcdir)/m4/xgetcwd.m4 $(top_srcdir)/m4/xreadlink.m4 \
147         $(top_srcdir)/m4/xsize.m4 $(top_srcdir)/m4/yesno.m4 \
148         $(top_srcdir)/configure.in
149 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
150         $(ACLOCAL_M4)
151 mkinstalldirs = $(install_sh) -d
152 CONFIG_HEADER = $(top_builddir)/config.h
153 CONFIG_CLEAN_FILES =
154 LIBRARIES = $(noinst_LIBRARIES)
155 AR = ar
156 ARFLAGS = cru
157 libcvs_a_AR = $(AR) $(ARFLAGS)
158 libcvs_a_DEPENDENCIES = @LIBOBJS@ @ALLOCA@
159 am_libcvs_a_OBJECTS = sighandle.$(OBJEXT) allocsa.$(OBJEXT) \
160         cycle-check.$(OBJEXT) basename.$(OBJEXT) stripslash.$(OBJEXT) \
161         getnline.$(OBJEXT) strnlen1.$(OBJEXT) xalloc-die.$(OBJEXT) \
162         xgethostname.$(OBJEXT) xreadlink.$(OBJEXT)
163 libcvs_a_OBJECTS = $(am_libcvs_a_OBJECTS)
164 am_getdate_OBJECTS = getdate-error.$(OBJEXT) getdate-getdate.$(OBJEXT) \
165         getdate-progname.$(OBJEXT)
166 getdate_OBJECTS = $(am_getdate_OBJECTS)
167 am__DEPENDENCIES_1 = libcvs.a
168 am__DEPENDENCIES_2 =
169 getdate_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_2) \
170         $(am__DEPENDENCIES_2)
171 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
172 depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
173 am__depfiles_maybe = depfiles
174 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
175         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
176 CCLD = $(CC)
177 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
178 YACCCOMPILE = $(YACC) $(YFLAGS) $(AM_YFLAGS)
179 YLWRAP = $(top_srcdir)/build-aux/ylwrap
180 SOURCES = $(libcvs_a_SOURCES) $(getdate_SOURCES)
181 DIST_SOURCES = $(libcvs_a_SOURCES) $(getdate_SOURCES)
182 ETAGS = etags
183 CTAGS = ctags
184 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
185 ACLOCAL = @ACLOCAL@
186 ALLOCA = @ALLOCA@
187 ALLOCA_H = @ALLOCA_H@
188 AMDEP_FALSE = @AMDEP_FALSE@
189 AMDEP_TRUE = @AMDEP_TRUE@
190 AMTAR = @AMTAR@
191 AUTOCONF = @AUTOCONF@
192 AUTOHEADER = @AUTOHEADER@
193 AUTOMAKE = @AUTOMAKE@
194 AWK = @AWK@
195 CC = @CC@
196 CCDEPMODE = @CCDEPMODE@
197 CFLAGS = @CFLAGS@
198 CPP = @CPP@
199 CPPFLAGS = @CPPFLAGS@
200 CSH = @CSH@
201 CYGPATH_W = @CYGPATH_W@
202 DEFS = @DEFS@
203 DEPDIR = @DEPDIR@
204 ECHO_C = @ECHO_C@
205 ECHO_N = @ECHO_N@
206 ECHO_T = @ECHO_T@
207 EDITOR = @EDITOR@
208 EGREP = @EGREP@
209 EOVERFLOW = @EOVERFLOW@
210 EXEEXT = @EXEEXT@
211 FNMATCH_H = @FNMATCH_H@
212 GETOPT_H = @GETOPT_H@
213 GLOB_H = @GLOB_H@
214 GMSGFMT = @GMSGFMT@
215 GREP = @GREP@
216 HAVE_LONG_64BIT = @HAVE_LONG_64BIT@
217 HAVE_LONG_LONG_64BIT = @HAVE_LONG_LONG_64BIT@
218 HAVE__BOOL = @HAVE__BOOL@
219 INSTALL_DATA = @INSTALL_DATA@
220 INSTALL_PROGRAM = @INSTALL_PROGRAM@
221 INSTALL_SCRIPT = @INSTALL_SCRIPT@
222 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
223 INTLLIBS = @INTLLIBS@
224 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
225 KRB4 = @KRB4@
226 LDFLAGS = @LDFLAGS@
227 LIBICONV = @LIBICONV@
228 LIBINTL = @LIBINTL@
229 LIBOBJS = @LIBOBJS@
230 LIBS = @LIBS@
231 LIB_CLOCK_GETTIME = @LIB_CLOCK_GETTIME@
232 LIB_NANOSLEEP = @LIB_NANOSLEEP@
233 LN_S = @LN_S@
234 LTLIBICONV = @LTLIBICONV@
235 LTLIBINTL = @LTLIBINTL@
236 LTLIBOBJS = @LTLIBOBJS@
237 MAINT = @MAINT@
238 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
239 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
240 MAKEINFO = @MAKEINFO@
241 MAKE_TARGETS_IN_VPATH_FALSE = @MAKE_TARGETS_IN_VPATH_FALSE@
242 MAKE_TARGETS_IN_VPATH_TRUE = @MAKE_TARGETS_IN_VPATH_TRUE@
243 MKINSTALLDIRS = @MKINSTALLDIRS@
244 MKTEMP = @MKTEMP@
245 MSGFMT = @MSGFMT@
246 MSGMERGE = @MSGMERGE@
247 OBJEXT = @OBJEXT@
248 PACKAGE = @PACKAGE@
249 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
250 PACKAGE_NAME = @PACKAGE_NAME@
251 PACKAGE_STRING = @PACKAGE_STRING@
252 PACKAGE_TARNAME = @PACKAGE_TARNAME@
253 PACKAGE_URL = @PACKAGE_URL@
254 PACKAGE_VERSION = @PACKAGE_VERSION@
255 PATH_SEPARATOR = @PATH_SEPARATOR@
256 PERL = @PERL@
257 POSUB = @POSUB@
258 PR = @PR@
259 PS2PDF = @PS2PDF@
260 RANLIB = @RANLIB@
261 ROFF = @ROFF@
262 RSH_DFLT = @RSH_DFLT@
263 SENDMAIL = @SENDMAIL@
264 SET_MAKE = @SET_MAKE@
265 SHELL = @SHELL@
266 STDBOOL_H = @STDBOOL_H@
267 STDINT_H = @STDINT_H@
268 STRIP = @STRIP@
269 TEXI2DVI = @TEXI2DVI@
270 USE_NLS = @USE_NLS@
271 VERSION = @VERSION@
272 XGETTEXT = @XGETTEXT@
273 YACC = @YACC@
274 YFLAGS = @YFLAGS@
275 ZLIB_CPPFLAGS = @ZLIB_CPPFLAGS@
276 ZLIB_LIBS = @ZLIB_LIBS@
277 ZLIB_SUBDIRS = @ZLIB_SUBDIRS@
278 ac_ct_CC = @ac_ct_CC@
279 ac_prefix_program = @ac_prefix_program@
280 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
281 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
282 am__include = @am__include@
283 am__leading_dot = @am__leading_dot@
284 am__quote = @am__quote@
285 am__tar = @am__tar@
286 am__untar = @am__untar@
287 bindir = @bindir@
288 build = @build@
289 build_alias = @build_alias@
290 build_cpu = @build_cpu@
291 build_os = @build_os@
292 build_vendor = @build_vendor@
293 cvs_client_objects = @cvs_client_objects@
294 datadir = @datadir@
295 datarootdir = @datarootdir@
296 docdir = @docdir@
297 dvidir = @dvidir@
298 exec_prefix = @exec_prefix@
299 host = @host@
300 host_alias = @host_alias@
301 host_cpu = @host_cpu@
302 host_os = @host_os@
303 host_vendor = @host_vendor@
304 htmldir = @htmldir@
305 includedir = @includedir@
306 infodir = @infodir@
307 install_sh = @install_sh@
308 libdir = @libdir@
309 libexecdir = @libexecdir@
310 localedir = @localedir@
311 localstatedir = @localstatedir@
312 mandir = @mandir@
313 mkdir_p = @mkdir_p@
314 oldincludedir = @oldincludedir@
315 pdfdir = @pdfdir@
316 prefix = @prefix@
317 program_transform_name = @program_transform_name@
318 psdir = @psdir@
319 sbindir = @sbindir@
320 sharedstatedir = @sharedstatedir@
321 sysconfdir = @sysconfdir@
322 target_alias = @target_alias@
323 with_default_rsh = @with_default_rsh@
324 noinst_LIBRARIES = libcvs.a
325
326 # Should look into unifying regular expression matching in CVS
327 # with the diff library (perhaps to have the caller, CVS, do the
328 # matching?)
329 libcvs_a_SOURCES = sighandle.c system.h wait.h xselect.h xtime.h \
330         allocsa.h allocsa.c cycle-check.c cycle-check.h dev-ino.h \
331         basename.c stripslash.c error.h exit.h getaddrinfo.h \
332         getnline.h getnline.c gettext.h mbuiter.h minmax.h setenv.h \
333         size_max.h strcase.h strnlen1.h strnlen1.c strstr.h time_r.h \
334         printf-args.h printf-parse.h vasnprintf.h vasprintf.h \
335         xalloc-die.c xgethostname.h xgethostname.c xreadlink.h \
336         xreadlink.c xsize.h
337 libcvs_a_LIBADD = @LIBOBJS@ @ALLOCA@
338 BUILT_SOURCES = $(ALLOCA_H) $(FNMATCH_H) getdate.c $(GETOPT_H) \
339         $(GLOB_H) $(STDBOOL_H) $(STDINT_H)
340 MOSTLYCLEANFILES = alloca.h alloca.h-t fnmatch.h fnmatch.h-t \
341         getdate-expected getdate-got getdate.diff getopt.h getopt.h-t \
342         glob.h glob.h-t stdbool.h stdbool.h-t stdint.h stdint.h-t
343 DISTCLEANFILES = getdate.log
344 MAINTAINERCLEANFILES = getdate.c
345 TESTS = test-getdate.sh
346 EXTRA_DIST = .cvsignore ChangeLog.fsf Makefile.gnulib build_lib.com \
347         libcvs.dep libcvs.dsp libcvs.mak test-getdate.sh alloca_.h \
348         allocsa.valgrind fnmatch_.h fnmatch_loop.c getdate.c \
349         getndelim2.h getndelim2.c getopt_.h getopt_int.h stdbool_.h \
350         stdint_.h
351 getdate_SOURCES = error.c getdate.y progname.c
352 getdate_CPPFLAGS = -DTEST
353 getdate_LDADD = \
354         $(noinst_LIBRARIES) \
355         $(LIB_CLOCK_GETTIME) \
356         $(LIBINTL)
357
358 all: $(BUILT_SOURCES)
359         $(MAKE) $(AM_MAKEFLAGS) all-am
360
361 .SUFFIXES:
362 .SUFFIXES: .c .o .obj .y
363 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
364         @for dep in $?; do \
365           case '$(am__configure_deps)' in \
366             *$$dep*) \
367               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
368                 && exit 0; \
369               exit 1;; \
370           esac; \
371         done; \
372         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  lib/Makefile'; \
373         cd $(top_srcdir) && \
374           $(AUTOMAKE) --gnu  lib/Makefile
375 .PRECIOUS: Makefile
376 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
377         @case '$?' in \
378           *config.status*) \
379             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
380           *) \
381             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
382             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
383         esac;
384
385 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
386         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
387
388 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
389         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
390 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
391         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
392
393 clean-noinstLIBRARIES:
394         -test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
395 libcvs.a: $(libcvs_a_OBJECTS) $(libcvs_a_DEPENDENCIES) 
396         -rm -f libcvs.a
397         $(libcvs_a_AR) libcvs.a $(libcvs_a_OBJECTS) $(libcvs_a_LIBADD)
398         $(RANLIB) libcvs.a
399
400 clean-checkPROGRAMS:
401         -test -z "$(check_PROGRAMS)" || rm -f $(check_PROGRAMS)
402 getdate$(EXEEXT): $(getdate_OBJECTS) $(getdate_DEPENDENCIES) 
403         @rm -f getdate$(EXEEXT)
404         $(LINK) $(getdate_LDFLAGS) $(getdate_OBJECTS) $(getdate_LDADD) $(LIBS)
405
406 mostlyclean-compile:
407         -rm -f *.$(OBJEXT)
408
409 distclean-compile:
410         -rm -f *.tab.c
411
412 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/__fpending.Po@am__quote@
413 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/alloca.Po@am__quote@
414 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/asnprintf.Po@am__quote@
415 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/asprintf.Po@am__quote@
416 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atexit.Po@am__quote@
417 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/canon-host.Po@am__quote@
418 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/canonicalize.Po@am__quote@
419 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/chdir-long.Po@am__quote@
420 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/closeout.Po@am__quote@
421 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/dirname.Po@am__quote@
422 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/dup-safer.Po@am__quote@
423 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/dup2.Po@am__quote@
424 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/exitfail.Po@am__quote@
425 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/fd-safer.Po@am__quote@
426 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/filenamecat.Po@am__quote@
427 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/fncase.Po@am__quote@
428 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/fnmatch.Po@am__quote@
429 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/fseeko.Po@am__quote@
430 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ftello.Po@am__quote@
431 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ftruncate.Po@am__quote@
432 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/gai_strerror.Po@am__quote@
433 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/getaddrinfo.Po@am__quote@
434 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/getcwd.Po@am__quote@
435 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/getdate.Po@am__quote@
436 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/getdate.y@am__quote@
437 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/getdelim.Po@am__quote@
438 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/gethostname.Po@am__quote@
439 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/getline.Po@am__quote@
440 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/getlogin_r.Po@am__quote@
441 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/getndelim2.Po@am__quote@
442 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/getopt.Po@am__quote@
443 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/getopt1.Po@am__quote@
444 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/getpass.Po@am__quote@
445 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/gettime.Po@am__quote@
446 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/gettimeofday.Po@am__quote@
447 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/glob.Po@am__quote@
448 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/lstat.Po@am__quote@
449 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/malloc.Po@am__quote@
450 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/mbchar.Po@am__quote@
451 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/md5.Po@am__quote@
452 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/memchr.Po@am__quote@
453 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/memmove.Po@am__quote@
454 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/mempcpy.Po@am__quote@
455 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/memrchr.Po@am__quote@
456 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/mkdir.Po@am__quote@
457 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/mkstemp.Po@am__quote@
458 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/mktime.Po@am__quote@
459 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/nanosleep.Po@am__quote@
460 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/openat.Po@am__quote@
461 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/pagealign_alloc.Po@am__quote@
462 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/pipe-safer.Po@am__quote@
463 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/printf-args.Po@am__quote@
464 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/printf-parse.Po@am__quote@
465 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/quotearg.Po@am__quote@
466 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/readlink.Po@am__quote@
467 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/realloc.Po@am__quote@
468 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/regcomp.Po@am__quote@
469 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/regex.Po@am__quote@
470 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/regex_internal.Po@am__quote@
471 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/regexec.Po@am__quote@
472 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/rename.Po@am__quote@
473 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/rpmatch.Po@am__quote@
474 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/save-cwd.Po@am__quote@
475 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/setenv.Po@am__quote@
476 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/strcasecmp.Po@am__quote@
477 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/strdup.Po@am__quote@
478 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/strerror.Po@am__quote@
479 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/strftime.Po@am__quote@
480 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/strncasecmp.Po@am__quote@
481 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/strstr.Po@am__quote@
482 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/strtol.Po@am__quote@
483 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/strtoul.Po@am__quote@
484 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/sunos57-select.Po@am__quote@
485 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/tempname.Po@am__quote@
486 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/time_r.Po@am__quote@
487 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/unsetenv.Po@am__quote@
488 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/vasnprintf.Po@am__quote@
489 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/vasprintf.Po@am__quote@
490 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/waitpid.Po@am__quote@
491 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/xgetcwd.Po@am__quote@
492 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/xmalloc.Po@am__quote@
493 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/yesno.Po@am__quote@
494 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/allocsa.Po@am__quote@
495 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/basename.Po@am__quote@
496 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cycle-check.Po@am__quote@
497 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/getdate-error.Po@am__quote@
498 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/getdate-getdate.Po@am__quote@
499 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/getdate-progname.Po@am__quote@
500 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/getnline.Po@am__quote@
501 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sighandle.Po@am__quote@
502 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stripslash.Po@am__quote@
503 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/strnlen1.Po@am__quote@
504 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xalloc-die.Po@am__quote@
505 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xgethostname.Po@am__quote@
506 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xreadlink.Po@am__quote@
507
508 .c.o:
509 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
510 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
511 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
512 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
513 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
514
515 .c.obj:
516 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
517 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
518 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
519 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
520 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
521
522 getdate-error.o: error.c
523 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(getdate_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT getdate-error.o -MD -MP -MF "$(DEPDIR)/getdate-error.Tpo" -c -o getdate-error.o `test -f 'error.c' || echo '$(srcdir)/'`error.c; \
524 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/getdate-error.Tpo" "$(DEPDIR)/getdate-error.Po"; else rm -f "$(DEPDIR)/getdate-error.Tpo"; exit 1; fi
525 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='error.c' object='getdate-error.o' libtool=no @AMDEPBACKSLASH@
526 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
527 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(getdate_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o getdate-error.o `test -f 'error.c' || echo '$(srcdir)/'`error.c
528
529 getdate-error.obj: error.c
530 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(getdate_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT getdate-error.obj -MD -MP -MF "$(DEPDIR)/getdate-error.Tpo" -c -o getdate-error.obj `if test -f 'error.c'; then $(CYGPATH_W) 'error.c'; else $(CYGPATH_W) '$(srcdir)/error.c'; fi`; \
531 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/getdate-error.Tpo" "$(DEPDIR)/getdate-error.Po"; else rm -f "$(DEPDIR)/getdate-error.Tpo"; exit 1; fi
532 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='error.c' object='getdate-error.obj' libtool=no @AMDEPBACKSLASH@
533 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
534 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(getdate_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o getdate-error.obj `if test -f 'error.c'; then $(CYGPATH_W) 'error.c'; else $(CYGPATH_W) '$(srcdir)/error.c'; fi`
535
536 getdate-getdate.o: getdate.c
537 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(getdate_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT getdate-getdate.o -MD -MP -MF "$(DEPDIR)/getdate-getdate.Tpo" -c -o getdate-getdate.o `test -f 'getdate.c' || echo '$(srcdir)/'`getdate.c; \
538 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/getdate-getdate.Tpo" "$(DEPDIR)/getdate-getdate.Po"; else rm -f "$(DEPDIR)/getdate-getdate.Tpo"; exit 1; fi
539 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='getdate.c' object='getdate-getdate.o' libtool=no @AMDEPBACKSLASH@
540 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
541 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(getdate_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o getdate-getdate.o `test -f 'getdate.c' || echo '$(srcdir)/'`getdate.c
542
543 getdate-getdate.obj: getdate.c
544 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(getdate_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT getdate-getdate.obj -MD -MP -MF "$(DEPDIR)/getdate-getdate.Tpo" -c -o getdate-getdate.obj `if test -f 'getdate.c'; then $(CYGPATH_W) 'getdate.c'; else $(CYGPATH_W) '$(srcdir)/getdate.c'; fi`; \
545 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/getdate-getdate.Tpo" "$(DEPDIR)/getdate-getdate.Po"; else rm -f "$(DEPDIR)/getdate-getdate.Tpo"; exit 1; fi
546 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='getdate.c' object='getdate-getdate.obj' libtool=no @AMDEPBACKSLASH@
547 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
548 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(getdate_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o getdate-getdate.obj `if test -f 'getdate.c'; then $(CYGPATH_W) 'getdate.c'; else $(CYGPATH_W) '$(srcdir)/getdate.c'; fi`
549
550 getdate-progname.o: progname.c
551 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(getdate_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT getdate-progname.o -MD -MP -MF "$(DEPDIR)/getdate-progname.Tpo" -c -o getdate-progname.o `test -f 'progname.c' || echo '$(srcdir)/'`progname.c; \
552 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/getdate-progname.Tpo" "$(DEPDIR)/getdate-progname.Po"; else rm -f "$(DEPDIR)/getdate-progname.Tpo"; exit 1; fi
553 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='progname.c' object='getdate-progname.o' libtool=no @AMDEPBACKSLASH@
554 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
555 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(getdate_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o getdate-progname.o `test -f 'progname.c' || echo '$(srcdir)/'`progname.c
556
557 getdate-progname.obj: progname.c
558 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(getdate_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT getdate-progname.obj -MD -MP -MF "$(DEPDIR)/getdate-progname.Tpo" -c -o getdate-progname.obj `if test -f 'progname.c'; then $(CYGPATH_W) 'progname.c'; else $(CYGPATH_W) '$(srcdir)/progname.c'; fi`; \
559 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/getdate-progname.Tpo" "$(DEPDIR)/getdate-progname.Po"; else rm -f "$(DEPDIR)/getdate-progname.Tpo"; exit 1; fi
560 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='progname.c' object='getdate-progname.obj' libtool=no @AMDEPBACKSLASH@
561 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
562 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(getdate_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o getdate-progname.obj `if test -f 'progname.c'; then $(CYGPATH_W) 'progname.c'; else $(CYGPATH_W) '$(srcdir)/progname.c'; fi`
563
564 .y.c:
565         $(SHELL) $(YLWRAP) $< y.tab.c $@ y.tab.h $*.h y.output $*.output -- $(YACCCOMPILE)
566 uninstall-info-am:
567
568 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
569         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
570         unique=`for i in $$list; do \
571             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
572           done | \
573           $(AWK) '    { files[$$0] = 1; } \
574                END { for (i in files) print i; }'`; \
575         mkid -fID $$unique
576 tags: TAGS
577
578 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
579                 $(TAGS_FILES) $(LISP)
580         tags=; \
581         here=`pwd`; \
582         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
583         unique=`for i in $$list; do \
584             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
585           done | \
586           $(AWK) '    { files[$$0] = 1; } \
587                END { for (i in files) print i; }'`; \
588         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
589           test -n "$$unique" || unique=$$empty_fix; \
590           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
591             $$tags $$unique; \
592         fi
593 ctags: CTAGS
594 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
595                 $(TAGS_FILES) $(LISP)
596         tags=; \
597         here=`pwd`; \
598         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
599         unique=`for i in $$list; do \
600             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
601           done | \
602           $(AWK) '    { files[$$0] = 1; } \
603                END { for (i in files) print i; }'`; \
604         test -z "$(CTAGS_ARGS)$$tags$$unique" \
605           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
606              $$tags $$unique
607
608 GTAGS:
609         here=`$(am__cd) $(top_builddir) && pwd` \
610           && cd $(top_srcdir) \
611           && gtags -i $(GTAGS_ARGS) $$here
612
613 distclean-tags:
614         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
615
616 check-TESTS: $(TESTS)
617         @failed=0; all=0; xfail=0; xpass=0; skip=0; \
618         srcdir=$(srcdir); export srcdir; \
619         list='$(TESTS)'; \
620         if test -n "$$list"; then \
621           for tst in $$list; do \
622             if test -f ./$$tst; then dir=./; \
623             elif test -f $$tst; then dir=; \
624             else dir="$(srcdir)/"; fi; \
625             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
626               all=`expr $$all + 1`; \
627               case " $(XFAIL_TESTS) " in \
628               *" $$tst "*) \
629                 xpass=`expr $$xpass + 1`; \
630                 failed=`expr $$failed + 1`; \
631                 echo "XPASS: $$tst"; \
632               ;; \
633               *) \
634                 echo "PASS: $$tst"; \
635               ;; \
636               esac; \
637             elif test $$? -ne 77; then \
638               all=`expr $$all + 1`; \
639               case " $(XFAIL_TESTS) " in \
640               *" $$tst "*) \
641                 xfail=`expr $$xfail + 1`; \
642                 echo "XFAIL: $$tst"; \
643               ;; \
644               *) \
645                 failed=`expr $$failed + 1`; \
646                 echo "FAIL: $$tst"; \
647               ;; \
648               esac; \
649             else \
650               skip=`expr $$skip + 1`; \
651               echo "SKIP: $$tst"; \
652             fi; \
653           done; \
654           if test "$$failed" -eq 0; then \
655             if test "$$xfail" -eq 0; then \
656               banner="All $$all tests passed"; \
657             else \
658               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
659             fi; \
660           else \
661             if test "$$xpass" -eq 0; then \
662               banner="$$failed of $$all tests failed"; \
663             else \
664               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
665             fi; \
666           fi; \
667           dashes="$$banner"; \
668           skipped=""; \
669           if test "$$skip" -ne 0; then \
670             skipped="($$skip tests were not run)"; \
671             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
672               dashes="$$skipped"; \
673           fi; \
674           report=""; \
675           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
676             report="Please report to $(PACKAGE_BUGREPORT)"; \
677             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
678               dashes="$$report"; \
679           fi; \
680           dashes=`echo "$$dashes" | sed s/./=/g`; \
681           echo "$$dashes"; \
682           echo "$$banner"; \
683           test -z "$$skipped" || echo "$$skipped"; \
684           test -z "$$report" || echo "$$report"; \
685           echo "$$dashes"; \
686           test "$$failed" -eq 0; \
687         else :; fi
688
689 distdir: $(DISTFILES)
690         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
691         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
692         list='$(DISTFILES)'; for file in $$list; do \
693           case $$file in \
694             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
695             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
696           esac; \
697           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
698           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
699           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
700             dir="/$$dir"; \
701             $(mkdir_p) "$(distdir)$$dir"; \
702           else \
703             dir=''; \
704           fi; \
705           if test -d $$d/$$file; then \
706             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
707               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
708             fi; \
709             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
710           else \
711             test -f $(distdir)/$$file \
712             || cp -p $$d/$$file $(distdir)/$$file \
713             || exit 1; \
714           fi; \
715         done
716 check-am: all-am
717         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
718         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
719 check: $(BUILT_SOURCES)
720         $(MAKE) $(AM_MAKEFLAGS) check-am
721 all-am: Makefile $(LIBRARIES)
722 installdirs:
723 install: $(BUILT_SOURCES)
724         $(MAKE) $(AM_MAKEFLAGS) install-am
725 install-exec: install-exec-am
726 install-data: install-data-am
727 uninstall: uninstall-am
728
729 install-am: all-am
730         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
731
732 installcheck: installcheck-am
733 install-strip:
734         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
735           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
736           `test -z '$(STRIP)' || \
737             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
738 mostlyclean-generic:
739         -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
740
741 clean-generic:
742
743 distclean-generic:
744         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
745         -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
746
747 maintainer-clean-generic:
748         @echo "This command is intended for maintainers to use"
749         @echo "it deletes files that may require special tools to rebuild."
750         -rm -f getdate.c
751         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
752         -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
753 clean: clean-am
754
755 clean-am: clean-checkPROGRAMS clean-generic clean-noinstLIBRARIES \
756         mostlyclean-am
757
758 distclean: distclean-am
759         -rm -rf $(DEPDIR) ./$(DEPDIR)
760         -rm -f Makefile
761 distclean-am: clean-am distclean-compile distclean-generic \
762         distclean-local distclean-tags
763
764 dvi: dvi-am
765
766 dvi-am:
767
768 html: html-am
769
770 info: info-am
771
772 info-am:
773
774 install-data-am:
775
776 install-exec-am:
777
778 install-info: install-info-am
779
780 install-man:
781
782 installcheck-am:
783
784 maintainer-clean: maintainer-clean-am
785         -rm -rf $(DEPDIR) ./$(DEPDIR)
786         -rm -f Makefile
787 maintainer-clean-am: distclean-am maintainer-clean-generic
788
789 mostlyclean: mostlyclean-am
790
791 mostlyclean-am: mostlyclean-compile mostlyclean-generic
792
793 pdf: pdf-am
794
795 pdf-am:
796
797 ps: ps-am
798
799 ps-am:
800
801 uninstall-am: uninstall-info-am
802
803 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
804         clean-checkPROGRAMS clean-generic clean-noinstLIBRARIES ctags \
805         distclean distclean-compile distclean-generic distclean-local \
806         distclean-tags distdir dvi dvi-am html html-am info info-am \
807         install install-am install-data install-data-am install-exec \
808         install-exec-am install-info install-info-am install-man \
809         install-strip installcheck installcheck-am installdirs \
810         maintainer-clean maintainer-clean-generic mostlyclean \
811         mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
812         tags uninstall uninstall-am uninstall-info-am
813
814
815 # We need the following in order to create <alloca.h> when the system
816 # doesn't have one that works with the given compiler.
817 alloca.h: alloca_.h
818         cp $(srcdir)/alloca_.h $@-t
819         mv $@-t $@
820
821 # We need the following in order to create <fnmatch.h> when the system
822 # doesn't have one that supports the required API.
823 fnmatch.h: fnmatch_.h
824         cp $(srcdir)/fnmatch_.h $@-t
825         mv $@-t $@
826
827 # We need the following in order to create <getopt.h> when the system
828 # doesn't have one that works with the given compiler.
829 getopt.h: getopt_.h
830         cp $(srcdir)/getopt_.h $@-t
831         mv $@-t $@
832
833 # We need the following in order to create an <getopt.h> when the system
834 # doesn't have one that works with the given compiler.
835 all-local $(libcvs_a_OBJECTS): $(GLOB_H)
836 glob.h: glob_.h
837         cp $(srcdir)/glob_.h $@-t
838         mv $@-t $@
839
840 # We need the following in order to create <stdbool.h> when the system
841 # doesn't have one that works.
842 stdbool.h: stdbool_.h
843         sed -e 's/@''HAVE__BOOL''@/$(HAVE__BOOL)/g' \
844                 < $(srcdir)/stdbool_.h > $@-t
845         mv $@-t $@
846
847 # We need the following in order to create <stdint.h> when the system
848 # doesn't have one that works with the given compiler.
849 stdint.h: stdint_.h
850         sed -e 's/@''HAVE_LONG_64BIT''@/$(HAVE_LONG_64BIT)/g;s/@''HAVE_LONG_LONG_64BIT@/$(HAVE_LONG_LONG_64BIT)/g' < $(srcdir)/stdint_.h > $@-t
851         mv $@-t $@
852
853 # Until Automake gets its act together
854 distclean-local:
855         rm -f fnmatch.h
856
857 # for backwards compatibility with the old makefiles
858 realclean: maintainer-clean
859 .PHONY: realclean
860 # Tell versions [3.59,3.63) of GNU make to not export all variables.
861 # Otherwise a system limit (for SysV at least) may be exceeded.
862 .NOEXPORT: